// 编写一个程序，要求用户输入一个字符串，然后使用strncpy函数将字符串的一部分复制到另一个字符数组中，但限制复制的长度为原字符串的一半，并打印复制后的字符串。
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char s1[100];
    printf("请输入一个字符串: ");
    fgets(s1, sizeof(s1), stdin); // scanf() 不能接收换行，故改用 fgets()
    char *s2 = (char *)malloc(strlen(s1) / 2 * sizeof(char *));
    strncpy(s2, s1, strlen(s1) / 2);

    printf("复制后的字符串结果为: %s", s2);

    return 0;
}